Bug 1723827 - The current version of tor is obsolete not recommended by the TOR project
Summary: The current version of tor is obsolete not recommended by the TOR project
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tor
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Marcel Haerry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-25 13:52 UTC by Ludovic Hirlimann [:Paul-muadib]
Modified: 2020-05-18 14:30 UTC (History)
5 users (show)

Fixed In Version: tor-0.3.5.8-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-27 00:27:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Ludovic Hirlimann [:Paul-muadib] 2019-06-25 13:52:40 UTC
Both my tor relays are having the not recommended flag, because the project knows about issues in this versions :
https://metrics.torproject.org/rs.html#details/383EBB4A99479DF9CD8BE5724E09B964F098E1BD
https://metrics.torproject.org/rs.html#details/3BEE3F1C81191F82BED91480FFD6261CF7FC366D


Version-Release number of selected component (if applicable):
tor-0.3.5.7-1.el7

How reproducible:

Always


Steps to Reproduce:
Install EPEL tor package

Would it be possible to get an updated package? (And I'm currently unable to figure out what version the new package should be at).

Comment 1 Marcel Haerry 2019-06-25 15:16:31 UTC
EPEL repositories ships the latest official LTS release of Tor: https://trac.torproject.org/projects/tor/wiki/org/teams/NetworkTeam/CoreTorReleases#Current

If tor flags their latest LTS version as not recommended then this is an issue to be raised with the Tor Project, as for EPEL it makes sense to follow a LTS Stream of versions.

There is a copr repository that ships the latest tor version for EPEL 7 - https://copr.fedorainfracloud.org/coprs/maha/tor-latest/

Comment 2 Ludovic Hirlimann [:Paul-muadib] 2019-06-25 17:51:14 UTC
Latest release from the tor projet is 3.5.8 EPEL ships 3.5.7

Comment 3 Fedora Update System 2019-06-26 06:51:15 UTC
FEDORA-EPEL-2019-f8311ec8a2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f8311ec8a2

Comment 4 Marcel Haerry 2019-06-26 06:53:54 UTC
oopsie, this version was built and waiting in epel7-testing the past few months. Thanks for clarifying. Just hit the push to stable button. This slipped through my workflow that I can push it to stable.

Comment 5 Ludovic Hirlimann [:Paul-muadib] 2019-06-26 09:03:27 UTC
This fixes my issue.

Comment 6 Fedora Update System 2019-06-27 00:27:38 UTC
tor-0.3.5.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.